package projectzombie.menu.gui;

import projectzombie.util.ItemStack;

public interface GUIItemSlotGetter {
	public boolean isAllowed(ItemStack stack);
	public ItemStack getItemStack();
	public void setItemStack(ItemStack stack);
	
	public default void onRemoveItemStack() {
		
	}
	
	public default boolean mustTakeAll() {
		return false;
	}
	
	public default boolean isReadOnly() {
		return false;
	}
	
	public default boolean renderSlot() {
		return false;
	}
}
